/**
 * /*Styling for Tile Banner
 *
 * @format
 */
:root {
  --tile-banner-height: 15rem;
  --tile-banner-mobile-height: 15rem;
  --carousel-card-height: 370px;
  --tool-card-height: auto;
}

.tile {
  height: var(--tile-banner-height);
  width: 100%;
  background: #f1f1f1;
  box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
}

.tileBackground {
  position: absolute;
  object-fit: cover;
  max-width: 100%;
  width: 100%;
  height: 100%;
  border-radius: 4px;
}

.tileBackgroundOnHover,
.tile:focus {
  position: absolute;
  object-fit: cover;
  max-width: 100%;
  width: 100%;
  height: 100%;
  border-radius: 4px;
  overflow: hidden;
  transition: transform 0.5s ease;
  filter: blur(2px);
}

.tileBackground + .tileContent {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    rgba(16, 115, 134, 0.1);
  width: 100%;
  height: 100%;
  border-radius: 4px;
}

.tileBackgroundOnHover + .tileContentOnHover:hover,
.tileBackgroundOnHover + .tile:focus {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
    rgba(16, 115, 134, 0.1);
  width: 100%;
  height: 100%;
  border-radius: 4px;
  background-color: rgba(0, 0, 0, 0.4);
  display: flex;
  align-items: center;
  justify-content: center;
}

.tileContent {
  position: absolute;
  transition: background-color 0.3s ease-out;
}

.tileContentOnHover,
.tile:focus {
  position: absolute;
  display: flex;
  flex-direction: column;
  transition: background-color 0.3s ease-out;
  /*TODO: Remove if button exists */
  justify-content: center;
}

.tileContent {
  font-style: normal;
  font-weight: 400;
  font-size: 1.25rem;
  line-height: 1.875rem;
  color: #ffffff;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
  text-align: center;
  padding-top: 100px;
}

.tileContentOnHover h3,
.tile:focus h3 {
  font-style: normal;
  font-weight: 400;
  font-size: 1.25rem;
  line-height: 1.875rem;
  color: #ffffff;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
  text-align: center;
  /* TODO: uncomment below if button exists */
  /* padding-top: 25px; */
}

.tileContentOnHover p,
.tile:focus p {
  font-style: normal;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
  text-align: center;
  color: #ffffff;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
  padding: 0 20px;
}

.tileBackgroundOnHover + .tileContentOnHover,
.tileBackgroundOnHover + .tile:focus {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    rgba(16, 115, 134, 0.1);
  width: 100%;
  height: 100%;
  border-radius: 4px;
  background-color: rgba(0, 0, 0, 0.7);
}

/*Stylings for mobile tile banner*/

.mobileTile {
  height: var(--tile-banner-mobile-height);
  width: 100%;
}

.mobileTileBackground {
  position: absolute;
  object-fit: cover;
  max-width: 100%;
  width: 100%;
  height: var(--tile-banner-mobile-height);
  border-radius: 4px;
}

.mobileTileBackgroundOnClick {
  position: absolute;
  object-fit: cover;
  max-width: 100%;
  width: 100%;
  height: 100%;
  border-radius: 4px;
  overflow: hidden;
  transition: transform 0.5s ease;
  filter: blur(2px);
}

.mobileTileBackground + .mobileTileContent {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0.1)),
    rgba(16, 115, 134, 0.1);
  width: 100%;
  height: var(--tile-banner-mobile-height);
  border-radius: 4px;
}

.mobileTileBackgroundOnClick + .mobileTileContentOnClick {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
    rgba(16, 115, 134, 0.1);
  width: 100%;
  height: var(--tile-banner-mobile-height);
  border-radius: 4px;
}

.mobileTileContent {
  position: absolute;
  transition: background-color 0.3s ease-out;
}

.mobileTileContentOnClick {
  position: absolute;
  display: flex;
  flex-direction: column;
  transition: background-color 0.3s ease-out;
  /*TODO: Remove if button exists */
  justify-content: center;
}

.mobileTileContent {
  font-style: normal;
  font-weight: 400;
  font-size: 1.25rem;
  line-height: 1.875rem;
  color: #ffffff;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
  text-align: center;
  padding-top: 80px;
}

.mobileTileContentOnClick h3 {
  font-style: normal;
  font-weight: 400;
  font-size: 1.25rem;
  line-height: 1.875rem;
  color: #ffffff;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
  text-align: center;
  padding-top: 25px;
}

.mobileTileContentOnClick p {
  font-style: normal;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
  text-align: center;
  color: #ffffff;
  text-shadow: 0px 1px 1px rgba(0, 0, 0, 0.5);
  padding: 0 20px;
}

.mobileTileBackgroundOnClick + .mobileTileContentOnClick {
  background: linear-gradient(0deg, rgba(0, 0, 0, 0.4), rgba(0, 0, 0, 0.4)),
    rgba(16, 115, 134, 0.1);
  width: 100%;
  height: var(--tile-banner-mobile-height);
  border-radius: 4px;
  background-color: rgba(0, 0, 0, 0.7);
}

/*Stylings for main carousel*/

.slide {
  position: relative;
  height: var(--carousel-card-height);

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;

  width: 100%;
  border-radius: 4px;
}

@media screen and (max-width: 1179px) {
  .slide {
    height: calc(var(--carousel-card-height) * 1.1);
  }
}

.carouselImage {
  height: 150px;
  margin-bottom: 10px;
}

.carouselImage > img {
  height: 150px;
  width: 100%;
  object-fit: cover;
}

.rectangle {
  width: calc(100%-20px);
  height: 150px;
  background-color: #244d6f;
}

.carouselBackground {
  display: flex;
  flex-direction: column;
  max-width: 1320px;
  width: 100%;
  height: 100%;
  padding: 1rem;
  background: #f1f1f1;
  border: 1px solid #dadde1;
  box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
}

.carouselBackground:hover {
  display: flex;
  flex-direction: column;
  max-width: 1320px;
  width: 100%;
  height: 100%;
  background: #f1f1f1;
  border: 1px solid var(--ifm-color-primary);
  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
}

.carouselContent > h3 {
  color: var(--ifm-color-primary);
  font-style: normal;
  font-weight: 700;
  font-size: 1.375rem;
  line-height: 2.2rem;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.carouselDescription > p {
  color: #000000;
  text-align: justify;
  font-style: normal;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
  height: calc(var(--carousel-card-height) / 5);
  overflow-y: auto;
}

.entity {
  position: absolute;
  left: calc(100% - 7.9rem);
  top: 45.1%;
}
.datasetEntity {
  position: absolute;
  left: calc(100% - 7.6rem);
  top: 57.5%;
}

/*Stylings for Mobile Carousel*/

.background {
  background: #f1f1f1;
  border-radius: 4px;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 24px 16px;
  min-width: 280px;
  height: calc(var(--carousel-card-height) * 1.5);
}

.mobileCarouselContent {
  max-width: 100%;
  color: var(--ifm-color-primary);
  font-weight: 700;
  font-size: 1.375rem;
}

.mobileCarouselContent > h3 {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  color: var(--ifm-color-primary);
  font-weight: 700;
  font-size: 1.25rem;
}

.mobileCarouselImage {
  object-fit: cover;
  max-width: 100%;
  width: 550px;
  height: 200px;
}

.mobileRectangle {
  object-fit: cover;
  width: 100%;
  height: 200px;
  background-color: #244d6f;
}

.mobileCarouselDescription > p {
  color: #000000;
  max-width: 100%;
  text-align: justify;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
  margin-top: 20px;
  height: calc(var(--carousel-card-height) / 4);
  overflow: scroll;
}

.entityContainer {
  position: relative;
  width: 100%;
  height: 200px;
}

.mobileEntity {
  position: absolute;
  bottom: 4%;
  width: 100%;
  text-align: center;
}

/*Stylings for Spotlight*/

.stats {
  text-align: center;
}

.stats .staticCardDescription > p {
  line-height: 120%;
}

.cardContainer,
.statsContainer,
.datasetCardContainer {
  box-sizing: border-box;
  background: #f1f1f1;
  border: 1px solid #dadde1;
  box-shadow: 0px 1.5px 3px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
  width: 100%;
  height: 100%;
  padding: 1rem;
}

.statsContainer {
  box-shadow: none;
}

.cardContainer:hover,
.datasetCardContainer:hover {
  box-sizing: border-box;
  background: #f1f1f1;
  border: 1px solid var(--ifm-color-primary);
  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.15);
  border-radius: 4px;
  width: 100%;
  height: 100%;
}

.datasetCardContainer {
  display: flex;
  justify-content: flex-end;
  position: relative; /* Ensure proper positioning for children */
}

.cardImage {
  object-fit: cover;
  width: 100%;
  height: 200px;
}

.cardTitle > h2,
.cardTitle > h3,
.cardTitle > span {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  color: var(--ifm-color-primary);
  font-style: normal;
  font-weight: 700;
  font-size: 1.375rem;
  line-height: 2.0625rem;
}

.staticCardDescription > p {
  color: #000000;
  font-style: normal;
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.5rem;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
  margin: 0;
  margin-top: 0.5rem;
}

.cardTitle > h3:has(+ div > span),
.cardTitle > h4:has(+ div > span) {
  margin-bottom: 0;
}

div.staticCardSubtitle {
  color: black;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.75rem;
  margin-bottom: 0.5rem;
}

.staticCardLink:hover {
  text-decoration: none;
}

.datasetKeywords {
  color: #4F4F4F;
  display: flex;
  gap: 16px;
  margin-top: .25rem;
  font-size: small;
  line-height: normal;
}

.datasetKeywords > p {
  margin-bottom: 0;
}

.iconKey {
  font-size: large;
}

@media screen and (max-width: 996px) {
  .cardTitle > h2,
  .cardTitle > h3,
  .cardTitle > span {
    font-size: 1.25rem;
  }
}

.cardTitle {
  margin-bottom: 16px;
}

/* Stylings for Team Cards */

.card {
  background-color: #f1f1f1;
  border-color: var(--ifm-color-primary);
  /* min-width: 100%; Removed to fix display in Safari */
  border-radius: 4px;
  font-size: 1.25rem;
  scroll-margin-top: 110px;
  padding: 16px;
  display: flex;
  flex-direction: column;
  height: 100%;
  text-align: center;
  justify-content: center;
  align-items: center;
}

.team-card-body {
  flex: 1;
  padding: 20px;
}

.card a:hover {
  color: var(--ifm-navbar-link-hover-color);
}

.card img {
  border-radius: 100%;
  object-fit: inherit;
  border: 1px solid var(--ifm-color-primary);
}

.card h3,
.card h4,
.card h5 {
  margin: 0;
}

.link-row {
  /* margin-top: 5px; */
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 4px;
}

/* Stylings for Newsletter Cards */

.newsletterCard,
.policyCard {
  text-align: center;
  border-radius: 4px;
}

.newsletterCard img {
  height: 205px;
  object-fit: cover;
}

/* Stylings for Policy Cards */

.policyCard {
  background-color: #f1f1f1;
  border-color: var(--ifm-color-primary);
  align-items: center;
  padding-top: 1em;
}

/* Stylings for Logo Cards */
.logoCard {
  background-color: var(--ifm-navbar-background-color);
  padding: 1em;
}

.frenchLogoCard {
  margin-top: 15px;
}

/* Styling for Tool Cards */

.tool-card {
  background-color: #f1f1f1;
  border-color: var(--ifm-color-primary);
  border-radius: var(--ifm-card-border-radius);
  box-shadow: var(--ifm-global-shadow-lw);
  padding: 1rem;

  display: flex;
  flex-direction: column;
  height: 100%;
}

.tool-card .image {
  height: 90px;
  display: flex;
  justify-content: center;
}
.tool-card .image img {
  object-fit: contain;
}

.tool-card .body {
  flex: 1; /* Allow the card body to grow and take up remaining space */
}

.tool-card-buttons {
  display: flex;
  width: 20px;
  height: 20px;
  justify-content: center;
  align-items: center;
  color: #4b5058;
}

.tool-function-button-row {
  display: flex;
  align-items: flex-start;
  gap: 16px;
}

.tool-card p {
  text-align: left;
  color: #000000;
  margin-top: 0.5rem;
}

.tool-card h3 {
  font-size: 1.125rem;
  margin-bottom: 0.38rem;
  line-height: 125%;
}

.tool-card {
  border: 1px solid transparent; /* Pre-allocate space for the border */
  transition: border 0.3s ease; /* Smooth transition */
}

.tool-card:hover {
  border: 1px solid var(--ifm-color-primary);
}

ul.expertise-buttons,
ul.creator-buttons {
  list-style: none;
  display: flex;
  padding: 0;
  align-content: flex-start;
  justify-content: flex-start;
  align-items: baseline;
  flex-wrap: wrap;
  margin-bottom: 0.25rem;
}

.tool-card ul {
  align-content: flex-start;
  justify-content: flex-start;
  list-style: none;
  display: flex;
  align-items: baseline;
  flex-wrap: wrap;
  margin: 0;
  padding: 0;
  gap: 0.25rem;
}

.tool-card ul li {
  margin: 0;
  padding: 0;
}
.tool-card-buttons-extra {
  list-style: none;
  display: flex;
  align-items: baseline;
  align-content: flex-start;
  gap: 4px;
  align-self: stretch;
  flex-wrap: wrap;
  padding: 0;
  margin-bottom: 0.38rem;
  min-height: 4.3rem;
}
